﻿using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using PTMedicalInsurance.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class LocalMobilePayService : IChargeService
    {
        public string Charge(string operationType, JObject joInput)
        {
            Global.pat.insuType =JsonHelper.getDestValue(joInput, "insuAdmObj.grptype");
            //joInput 包括( data、mdtrtinfo、diseinfo、settlement)
            ProcessManager pManager = new ProcessManager()
            .Add(new LocalGetPatientInfoProcess())
            // 下单
            .Add(new LocalMobilePayProcess());
            // 执行
            return pManager.Run(joInput);
        }

        public string DisCharge(JObject joParam)
        {
            throw new NotImplementedException();
        }

    }
}
