﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 根据电子医保凭证二维码获取个人身份证号码和姓名
    /// </summary>
    public class ReadEwmRequest
    {
        /// <summary>
        /// 电子医保凭证二维码
        /// </summary>
        public string p_ewm { get; set; }

        /// <summary>
        /// 电子医保凭证业务码
        /// </summary>
        public string p_dzpzywm { get; set; }
    }

    public class ReadEwmResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultCode { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string xm { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string sfzhm { get; set; }
    }
}
