﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 获取数据字典query_si_code的请求参数
    /// </summary>
    public class QuerySiCodeRequest
    {
        /// <summary>
        /// 代码编号
        /// </summary>
        public string p_dmbh { get; set; }
    }

    /// <summary>
    /// 获取数据字典query_si_code的返回结果
    /// </summary>
    public class QuerySiCodeResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        /// <summary>
        /// 数据字典数据集
        /// </summary>
        public List<CodeDs> code_ds { get; set; }
    }

    /// <summary>
    /// 数据字典信息类
    /// </summary>
    public class CodeDs
    {
        /// <summary>
        /// 代码编号
        /// </summary>
        public string code { get; set; }

        /// <summary>
        /// 字典名称
        /// </summary>
        public string content { get; set; }
    }
}
